*{
    margin:0;
    padding:0;
    box-sizing:border-box;
}

body{
    font-family:Arial, sans-serif;
    color:black;
}

body{
    padding-top:110px;
}

.container{
    width:90%;
    max-width:1200px;
    margin:auto;
}

.whatsapp-float{
    position:fixed;
    top:120px;
    right:20px;
    background:#25D366;
    color:white;
    padding:12px 18px;
    border-radius:50px;
    text-decoration:none;
    font-weight:bold;
    z-index:999;
}



/* HEADER */

.header{
    background-color:#3b5998;
    padding:8px 0;
    box-shadow:0 2px 15px rgba(0,0,0,0.08);
    position:fixed;
    width:100%;
    top:0;
    z-index:1000;
}

.header .container{
    display:flex;
    justify-content:space-between;
    align-items:center;
    padding:8px 0;
}

.logo img{
    height:75px;
    width:auto;
    display:block;
}

.navigation a{
    text-decoration:none;
    color:white;
    font-weight:600;
    padding:0 12px;
}

.navigation a:not(:last-child){
    border-right:1px solid rgba(255,255,255,0.5);
}


/* HERO */

.hero{
    height:100vh;
    background:url('images/hero.jpg');
    background-size:cover;
    background-position:center;
    position:relative;

    display:flex;
    justify-content:center;
    align-items:flex-start;
    
    padding-top:80px;
}

.hero-overlay{
    position:absolute;
    inset:0;
    background:white;
}

.hero-content{
    position:relative;
    z-index:2;
    text-align:center;
    color:navy;
    max-width:800px;
}

.hero h1{
    font-size:50px;
    margin-bottom:10px;
}

.hero p{
    font-size:20px;
    margin-bottom:35px;
    line-height:1.7;
}

.hero-buttons{
    display:flex;
    justify-content:center;
    gap:15px;
}

.primary-btn{
    background:#F47B20;
    color:white;
    padding:15px 30px;
    text-decoration:none;
    border-radius:6px;
}

.secondary-btn{
    background:#f47b20;
    color:white;
    padding:15px 30px;
    text-decoration:none;
    border-radius:6px;
}

@media (max-width: 768px) {

    .hero{
        align-items:flex-start;
        padding-top:100px;
    }

    .hero h1{
        font-size:32px;
    }

}

/* ABOUT PAGE */

.about-page {
    padding: 20px 8%;
}

.about-content{
    display:flex;
    gap:50px;
    align-items:flex-start;
    flex-wrap:nowrap;
}

.about-text h2 {
    text-align: center;
    color: #1D2555;
    margin:10px 0 20px;
}

.about-text {
    flex: 2;
}

.about-text p {
    margin-bottom: 18px;
    line-height: 1.8;
}

.about-text ul {
    margin-bottom: 20px;
    padding-left: 20px;
}

.about-text li {
    margin-bottom: 10px;
}

.about-image-box {
    flex: 1;
    position: sticky;
    top: 100px;
}

.about-image-box img {
    width: 100%;
    max-width: 350px;
    border-radius: 10px;
    display: block;
}



/*FACTORY PAGE*/

.factory-page{
    margin-top:20px;
    padding-top:20px;
    padding-bottom:40px;
}

.factory-page h1{
    text-align:center;
    color:#1D2555;
    margin-bottom:50px;
    font-size:36px;
}

.factory-row{
    display:flex;
    justify-content:space-between;
    align-items:center;
    gap:20px;
    margin-bottom:46px;
}

.factory-text{
    width:50%;
    padding-left:20px;
}

.factory-text h2{
    font-size:24px;
    color:#1D2555;
    margin-bottom:10px;
}

.factory-text p{
    font-size:15px;
    line-height:1.6;
}

.factory-image{
    width:50%;
    text-align:center;
}

.factory-image img{
    width:350px;
    max-width:100%;
    height:auto;
    border-radius:10px;
}

@media(max-width:768px){

    .factory-row{
        flex-direction:column;
    }

    .factory-text,
    .factory-image{
        width:100%;
    }

    .factory-image img{
        width:100%;
    }
}

.factory-image img{
    width:300px !important;
    height:auto;
}

.factory-gallery img{
    width:100%;
    height:250px;
    object-fit:cover;
    border-radius:8px;
}



/*PRODCT PAGE */
@media (max-width:768px){

    img{
        max-width:100%;
        height:auto;
    }

}
.products-page{
    margin-top:10px;
    padding:20px 0;
}

.products-page h1{
    text-align:center;
    color:#1D2555;
    margin-bottom:50px;
}

.products-page h2{
    text-align:center;
    color:#1D2555;
    margin:40px 0 20px;
}

.products-grid{
    display:grid;
    grid-template-columns:repeat(auto-fit,minmax(250px,1fr));
    gap:25px;
}

.product-card{
    background:#fff;
    border-radius:10px;
    overflow:hidden;
    box-shadow:0 3px 15px rgba(0,0,0,0.1);
}

.product-card img{
    width:100%;
    height:300px;
    object-fit:contain;
    padding:10px;
}

 
.product-card h3{
    text-align:center;
    padding:15px;
    font-size:16px;
}


/* MOBILE RESPONSIVE */

@media (max-width: 768px) {

    .logo img{
        height:50px;
    }

    .navigation{
        display:flex;
        flex-wrap:nowrap;
        justify-content:center;
        gap:0;
    }

    .navigation a{
        font-size:11px;
        padding:0 4px;
    }

    .header .container{
    flex-direction:column;
    }

    .navigation{
    margin-top:8px;
    }
}

@media (max-width: 768px){

    .container{
        flex-direction:column;
    }

    .logo img{
        max-width:120px;
    }

    .navigation{
        margin-top:10px;
    }

    .hero h1 {
        font-size: 32px;
    }

    .hero p {
        font-size: 16px;
    }

    .hero-buttons {
        flex-direction: column;
        align-items: center;
    }

    .about-content {
        flex-direction: column;
    }

    .factory-row {
        flex-direction: column;
    }

    .factory-text,
    .factory-image {
        width: 100%;
    }
/*
    .products-grid {
        grid-template-columns: repeat(2, 1fr);
    }

    .product-card img {
        height: auto;
    }
*/
}


@media (max-width: 480px) {

    .products-grid {
        grid-template-columns: 1fr;
    }

    .hero h1 {
        font-size: 26px;
    }

    .container {
        width: 95%;
    }


    .products-grid{
        display:grid;
        grid-template-columns:repeat(4,1fr);
        gap:20px;
    }

    .product-card img{
        width:100%;
        height:auto;
        object-fit:contain;
    }

    .product-card h3{
        padding:10px;
        font-size:14px;
    }

}


/* FOOTER */
.footer{
    text-align:center;
    padding:20px 10px;
    margin-top:60px;
}

.footer p{
    margin:0;
    color:black;
    font-size:10px;
}

/* CUSTOMERS PAGE */

.customers-page{
    padding:20px 0 50px;
    text-align:center;
}

.customers-page h1{
    color:#1D2555;
    margin-bottom:20px;
}

.customers-page p{
    max-width:800px;
    margin:0 auto 40px;
    line-height:1.6;
}

.customers-grid{
    display:flex;
    justify-content:center;
    align-items:center;
    gap:30px;
    flex-wrap:wrap;
}

.customer-card{
    width:220px;
    height:160px;
    display:flex;
    justify-content:center;
    align-items:center;
    background:#fff;
    border-radius:8px;
    box-shadow:0 2px 10px rgba(0,0,0,0.08);
}

.customer-card img{
    max-width:90%;
    max-height:120px;
    object-fit:contain;
}


/*CONTACT PAGE */

.contact-page{
    padding: 80px 20px 50px;
}

.contact-page h1{
    color: #1D2555;
    margin-bottom: 50px;
}

.contact-page h2{
    color: #1D2555;
    margin-top: 35px;
    margin-bottom: 15px;
}

.contact-page p{
    line-height: 1.8;
    margin-bottom: 25px;
    color: #555;
}

.contact-page h1{
    text-align: center;
    margin-bottom: 50px;
    color: #1D2555;
}

.contact-content{
    max-width:800px;
    margin:0 auto;
}

.contact-row{
    display: flex;
    align-items: flex-start;
    margin-bottom: 25px;
}

.contact-label{
    width: 130px;
    font-weight: bold;
    color: #1D2555;
    flex-shrink: 0;
}

.contact-info{
    flex: 1;
    line-height: 1.7;
    color: #555;
}


.whatsapp-btn{
    background:#25D366;
    color:white;
    padding:10px 20px;
    text-decoration:none;
    border-radius:5px;
    font-weight:bold;
}

.whatsapp-btn:hover{
    opacity:0.9;
}

